#
# spec file for package vsqlite++
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define lib_name libvsqlitepp
%define sover   3
Name:           vsqlite++
Version:        0.3.13
Release:        4.15
Summary:        Well designed C++ sqlite 3.x wrapper library
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
URL:            https://github.com/vinzenz/vsqlite--
Source0:        https://github.com/vinzenz/vsqlite--/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dos2unix
BuildRequires:  gcc-c++
BuildRequires:  libboost_headers-devel
BuildRequires:  libtool
BuildRequires:  perl-base
BuildRequires:  sqlite-devel

%description
VSQLite++ is a C++ wrapper for sqlite3 using the C++ standard library and boost.
VSQLite++ is designed to be easy to use and focuses on simplicity.

%package -n %{lib_name}%{sover}
Summary:        Well designed C++ sqlite 3.x wrapper library
Group:          System/Libraries

%description -n  %{lib_name}%{sover}
VSQLite++ is a C++ wrapper for sqlite3 using the C++ standard library and boost.
VSQLite++ is designed to be easy to use and focuses on simplicity.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lib_name}%{sover} = %{version}

%description devel
This package contains development files for %{name}.

%prep
%autosetup -n vsqlite---%{version}
find . -iname "*.[ch]pp" -exec dos2unix -k {} \;

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
# do not ship these
find %{buildroot} -type f \( -name '*.a' -o -name '*.la' \) -delete -print

%post -n %{lib_name}%{sover} -p /sbin/ldconfig
%postun -n %{lib_name}%{sover} -p /sbin/ldconfig

%files devel
%defattr(0644, root, root, 0755)
%doc ChangeLog README
%{_includedir}/sqlite
%{_libdir}/libvsqlitepp.so

%files -n %{lib_name}%{sover}
%defattr(0644, root, root, 0755)
%license COPYING
%{_libdir}/libvsqlitepp.so.%{sover}*

%changelog
* Wed Apr 28 2021 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Tue Jul 12 2016 mpluskal@suse.com
- Spec file cleanup
  * use pretty name for tarball
  * drop -doc package
  * simplify spec-file
* Sat Feb 28 2015 mpluskal@suse.com
- Use url for cource
- Update to 0.3.13
  * upstream changelog provided only as git commit log (for details
    see attached ChangeLog)
- Remove patches that are obsolete
  * 0002-Adding-include-limits-for-using-numeric_limits.patch
  * 0001-Build-system-Use-std-c-98-instead-of-std-c-03.patch
* Sun Feb  2 2014 mhrusecky@suse.com
- Little cleanup of specfile
* Tue Aug 27 2013 bruno@ioda-net.ch
- Added upstream patches to fix build on SLE
  0001-Build-system-Use-std-c-98-instead-of-std-c-03.patch
  0002-Adding-include-limits-for-using-numeric_limits.patch
- Added dos2unix on c/hpp source file to get consitent eol
* Mon Aug 19 2013 bruno@ioda-net.ch
- Add explicit xz for SLE build
- Added the distribution.sh local builder for source before we got
  a nice _service for that.
* Mon Aug 19 2013 bruno@ioda-net.ch
- Fixed license type
- Cleanup spec
- Fixed name for package & lib
* Sun Aug 18 2013 bruno@ioda-net.ch
-Initial package release for OBS
-Sources picked up directly from github
